Groovy Documentation

## groovy.xml
[Java] Class Namespace

    java.lang.Object
      groovy.xml.Namespace

    public class Namespace
    extends java.lang.Object

A simple helper class which acts as a factory of QName instances.

Version:
  \$Revision\$

Constructor Summary
`Namespace()`
`Namespace(java.lang.String uri)`
`Namespace(java.lang.String uri, java.lang.String prefix)`

Method Summary
`QName` | `get(java.lang.String localName)` Returns the QName for the given localName.
`java.lang.String` | `getPrefix()` Returns the prefix mapped to this namespace
`java.lang.String` | `getUri()` Returns the URI of this namespace

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Namespace

    public Namespace()

### Namespace

    public Namespace(java.lang.String uri)

### Namespace

    public Namespace(java.lang.String uri, java.lang.String prefix)

Method Detail

### get

    public QName get(java.lang.String localName)

  Returns the QName for the given localName.
  Parameters:
    `localName` - the local name within this

### getPrefix

    public java.lang.String getPrefix()

  Returns the prefix mapped to this namespace
  Returns:
    the prefix assigned to this namespace or null if no namespace is mapped.

### getUri

    public java.lang.String getUri()

  Returns the URI of this namespace
  Returns:
    the URI of this namespace

Groovy Documentation